# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mdbook-emojicodes"
version = "0.3.0"
description = "MDBook Preprocessor for converting your emojicodes (: cat :) into real emojis"
readme = "README.md"
keywords = [
    "emoji",
    "mdbook",
    "mdbook-preprocessor",
    "preprocessor",
    "emojicodes",
]
categories = [
    "development-tools",
    "parser-implementations",
    "encoding",
]
license = "MIT"
repository = "https://github.com/blyxyas/mdbook-emojicodes"

[dependencies.anyhow]
version = "1.0"

[dependencies.emojis]
version = "0.5.2"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.mdbook]
version = "0.4.25"
default-features = false

[dependencies.mdbook-preprocessor-boilerplate]
version = "0.1.1"

[dependencies.pretty_assertions]
version = "1.4.0"

[dependencies.regex]
version = "1.7.0"

[features]
custom_emojis = []
default = ["custom_emojis"]
